Index: trunk/grails-app/views/inventoryItemDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 139)
+++ trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 175)
@@ -41,4 +41,19 @@
                             
                         </tr>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="name">Units In Stock:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'unitsInStock')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Unit Of Measure:</td>
+                            
+                            <td valign="top" class="value">${inventoryItemInstance?.unitOfMeasure?.encodeAsHTML()}</td>
+                            
+                        </tr>
+
                     
                         <tr class="prop">
@@ -55,7 +70,14 @@
                             
                         </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Is Active:</td>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="name">Recommended Reorder Point:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'recommendedReorderPoint')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Active:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'isActive')}</td>
@@ -64,5 +86,5 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Is Obsolete:</td>
+                            <td valign="top" class="name">Obsolete:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'isObsolete')}</td>
@@ -76,4 +98,5 @@
                             
                         </tr>
+
                     
                         <tr class="prop">
@@ -85,11 +108,4 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Unit Of Measure:</td>
-                            
-                            <td valign="top" class="value">${inventoryItemInstance?.unitOfMeasure?.encodeAsHTML()}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
                             <td valign="top" class="name">Manufacturers Part Number:</td>
                             
@@ -125,5 +141,5 @@
                                 <ul>
                                 <g:each var="a" in="${inventoryItemInstance.alternateItems}">
-                                    <li><g:link controller="inventoryItem" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
+                                    <li><g:link controller="inventoryItemDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
                                 </g:each>
                                 </ul>
@@ -138,5 +154,5 @@
                                 <ul>
                                 <g:each var="i" in="${inventoryItemInstance.inventoryMovements}">
-                                    <li><g:link controller="inventoryMovement" action="show" id="${i.id}">${i?.encodeAsHTML()}</g:link></li>
+                                    <li><g:link controller="inventoryMovementDetailed" action="show" id="${i.id}">${i?.encodeAsHTML()}</g:link></li>
                                 </g:each>
                                 </ul>
@@ -151,5 +167,5 @@
                                 <ul>
                                 <g:each var="m" in="${inventoryItemInstance.manufacturers}">
-                                    <li><g:link controller="manufacturer" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
+                                    <li><g:link controller="manufacturerDetailed" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
                                 </g:each>
                                 </ul>
@@ -170,15 +186,9 @@
                             
                         </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Stored Items:</td>
-                            
-                            <td  valign="top" style="text-align:left;" class="value">
-                                <ul>
-                                <g:each var="s" in="${inventoryItemInstance.storedItems}">
-                                    <li><g:link controller="storedItemDetailed" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
-                                </g:each>
-                                </ul>
-                            </td>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="name">Inventory Location:</td>
+                            
+                            <td valign="top" class="value"><g:link controller="inventoryLocationDetailed" action="show" id="${inventoryItemInstance?.inventoryLocation?.id}">${inventoryItemInstance?.inventoryLocation?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -190,5 +200,5 @@
                                 <ul>
                                 <g:each var="s" in="${inventoryItemInstance.suppliers}">
-                                    <li><g:link controller="supplier" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+                                    <li><g:link controller="supplierDetailed" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
                                 </g:each>
                                 </ul>
